import Panel from "../../libs/new_wx/components/Panel";
import SceneCtrl from "../../libs/new_wx/ctrls/sceneCtrl";

export default class PassPanel extends Panel {
    start(data) {
        super.start();
        this['invitebtn'].addEventListener(egret.TouchEvent.TOUCH_TAP, this.ontap_inviteBtn, this);
    }

    ontap_inviteBtn() {
        SceneCtrl.instance.change('MyDreamScene');//我的dream，已经通过
        this.onTouchTap_closeBtn();
    }

    protected get closeBtns(): eui.Button[] { return [this['closeBtn'], this['okbtn']] }
    get skinKey() { return 'Pass' }
    get skinResKey() { return 'result' }
}